curl
curl -sS -X PUT "https://gateway.orbit/api/v1/project-document-storage" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"endpoint": "example"}'{
"data": {
"configured": true,
"endpoint": "<string>",
"region": "<string>",
"bucket": "<string>",
"credentials_configured": true,
"updated_at": "<string>",
"pending_cleanup_count": 123,
"oldest_pending_cleanup_at": "<string>",
"last_cleanup_error_code": "<string>",
"cleanup_state": "<string>",
"cleanup_generation": "<string>",
"reconciliation_report_id": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Projects
project:document-storage:update
Update private Project Document storage.
PUT
/
api
/
v1
/
project-document-storage
curl
curl -sS -X PUT "https://gateway.orbit/api/v1/project-document-storage" \
--cacert /path/to/orbit-root-ca.pem \
-H 'Accept: application/json' \
-H 'X-Orbit-Request-Id: 9d6b1e5c-4a3f-4a1b-9f0e-6d2c3f5a7b81' \
-H 'Content-Type: application/json' \
-d '{"endpoint": "example"}'{
"data": {
"configured": true,
"endpoint": "<string>",
"region": "<string>",
"bucket": "<string>",
"credentials_configured": true,
"updated_at": "<string>",
"pending_cleanup_count": 123,
"oldest_pending_cleanup_at": "<string>",
"last_cleanup_error_code": "<string>",
"cleanup_state": "<string>",
"cleanup_generation": "<string>",
"reconciliation_report_id": "<string>"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {},
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Body
application/json